/*
  ==============
  Checkbox
  ==============
*/
.Checkbox {
  display: block;
  position: relative;
  padding-left: 30px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.Checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #f2f2f2;
  border-radius: 4px;
}

/* On mouse-over, add a grey background color */
.Checkbox:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.Checkbox input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.Checkbox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.Checkbox .checkmark:after {
  left: 7px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/*
  ==============
  Modal
  ==============
*/
.Modal {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 100;
}

.Modal .overlay {
  background-color: rgba(0, 0, 0, 0.3);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 101;
}

.Modal .content {
  z-index: 102;
  min-width: 200px;
  max-width: 60%;
  position: absolute;
  top: 50vh;
  left: 50vw;
  transform: translate(-50%, -60%);
  display: grid;
  grid-template-rows: auto 1fr auto;
}

/*
  ==============
  Slider
  ==============
*/
.Slider {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 8px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
  border-radius: 4px;
  max-width: 80px;
}

/* Mouse-over effects */
.Slider:hover {
  opacity: 1;
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.Slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 16px;
  height: 16px;
  background: #f2f2f2;
  cursor: pointer;
  border-radius: 4px;
  box-shadow: 0 0 4px 2px #bbb;
}

.Slider::-moz-range-thumb {
  appearance: none;
  width: 16px;
  height: 16px;
  background: #f2f2f2;
  cursor: pointer;
  border-radius: 4px;
  box-shadow: 0 0 4px 2px #bbb;
}

.input-boxed {
  border: 1px solid #ddd;
}


/*
  ==============
  Switch
  ==============
*/
.Switch {
  height: 16px;
}

.Switch-checkbox:checked {
  right: 0;
  border-color: #2196F3;
}

.Switch-checkbox:checked + .Switch-label {
  background-color: #2196F3;
}


/*
  ==============
  Accordion
  ==============
*/
.Accordion-header {
  border-bottom: 1px solid #333;
  padding-bottom: 4px;
  margin-bottom: 8px;
}
.Accordion-content.hidden {
  display: none;
}
